diff -NaurpBb usr/src/amdgpu-5.9.20.104-1247438/amd/amdgpu/amdgpu_dma_buf.c usr1/src/amdgpu-5.9.20.104-1247438/amd/amdgpu/amdgpu_dma_buf.c
--- usr/src/amdgpu-5.9.20.104-1247438/amd/amdgpu/amdgpu_dma_buf.c	2021-04-15 06:29:25.000000000 +0300
+++ usr/src/amdgpu-5.9.20.104-1247438/amd/amdgpu/amdgpu_dma_buf.c	2021-06-09 00:53:15.853933931 +0300
@@ -426,7 +426,8 @@ static struct sg_table *amdgpu_dma_buf_m
 
 	switch (bo->tbo.mem.mem_type) {
 	case TTM_PL_TT:
-		sgt = drm_prime_pages_to_sg(bo->tbo.ttm->pages,
+		sgt = drm_prime_pages_to_sg(obj->dev,
+					    bo->tbo.ttm->pages,
 					    bo->tbo.num_pages);
 		if (IS_ERR(sgt))
 			return sgt;
@@ -628,7 +629,7 @@ struct sg_table *amdgpu_gem_prime_get_sg
 	struct amdgpu_bo *bo = gem_to_amdgpu_bo(obj);
 	int npages = bo->tbo.num_pages;
 
-	return drm_prime_pages_to_sg(bo->tbo.ttm->pages, npages);
+	return drm_prime_pages_to_sg(obj->dev, bo->tbo.ttm->pages, npages);
 }
 
 /**
diff -NaurpBb usr/src/amdgpu-5.9.20.104-1247438/amd/amdgpu/amdgpu_ttm.c usr/src/amdgpu-5.9.20.104-1247438/amd/amdgpu/amdgpu_ttm.c
--- usr/src/amdgpu-5.9.20.104-1247438/amd/amdgpu/amdgpu_ttm.c	2021-04-15 06:29:25.000000000 +0300
+++ usr/src/amdgpu-5.9.20.104-1247438/amd/amdgpu/amdgpu_ttm.c	2021-06-09 00:37:36.762801005 +0300
@@ -2495,9 +2495,9 @@ static int amdgpu_ssg_init(struct amdgpu
 		return rc;
 
 #if defined(HAVE_DEVM_MEMREMAP_PAGES_DEV_PAGEMAP)
-	adev->ssg.pgmap.res.start = res.start;
-	adev->ssg.pgmap.res.end = res.end;
-	adev->ssg.pgmap.res.name = res.name;
+	adev->ssg.pgmap.nr_range = 1;
+	adev->ssg.pgmap.range.start = res.start;
+	adev->ssg.pgmap.range.end = res.end;
 	adev->ssg.pgmap.ref = &adev->ssg.ref;
 	addr = devm_memremap_pages(adev->dev, &adev->ssg.pgmap);
 #else
diff -NaurpBb usr/src/amdgpu-5.9.20.104-1247438/amd/amdkfd/kfd_iommu.c usr/src/amdgpu-5.9.20.104-1247438/amd/amdkfd/kfd_iommu.c
--- usr/src/amdgpu-5.9.20.104-1247438/amd/amdkfd/kfd_iommu.c	2021-04-15 06:29:25.000000000 +0300
+++ usr/src/amdgpu-5.9.20.104-1247438/amd/amdkfd/kfd_iommu.c	2021-06-09 00:53:08.473871744 +0300
@@ -139,7 +139,7 @@ void kfd_iommu_unbind_process(struct kfd
 }
 
 /* Callback for process shutdown invoked by the IOMMU driver */
-static void iommu_pasid_shutdown_callback(struct pci_dev *pdev, int pasid)
+static void iommu_pasid_shutdown_callback(struct pci_dev *pdev, u32 pasid)
 {
 	struct kfd_dev *dev = kfd_device_by_pci_dev(pdev);
 	struct kfd_process *p;
@@ -185,7 +185,7 @@ static void iommu_pasid_shutdown_callbac
 }
 
 /* This function called by IOMMU driver on PPR failure */
-static int iommu_invalid_ppr_cb(struct pci_dev *pdev, int pasid,
+static int iommu_invalid_ppr_cb(struct pci_dev *pdev, u32 pasid,
 		unsigned long address, u16 flags)
 {
 	struct kfd_dev *dev;
